Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#58993 - [vdirsyncer] failure due to incompatible version of python-click-log

Attached to Project: Community Packages
Opened by Svenne Krap (svenne_k) - Wednesday, 13 June 2018, 06:50 GMT
Last edited by Doug Newgard (Scimmia) - Wednesday, 13 June 2018, 14:24 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:


Additional info:
* package version(s)
* config and/or log files etc.


Steps to reproduce:
$ vdirsyncer sync
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 570, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 888, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 779, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (click-log 0.3.2 (/usr/lib/python3.6/site-packages), Requirement.parse('click-log<0.3.0,>=0.2.0'), {'vdirsyncer'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/vdirsyncer", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3095, in <module>
@_call_aside
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3079, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3108, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 572, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 585, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 774, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'click-log<0.3.0,>=0.2.0' distribution was not found and is required by vdirsyncer


AND


$ pacman -Ss click-log
community/python-click-log 0.3.2-1 [installed]
Logging integration for Click
community/python2-click-log 0.3.2-1
Logging integration for Click

This task depends upon

Closed by  Doug Newgard (Scimmia)
Wednesday, 13 June 2018, 14:24 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#58987 

Loading...